Trợ giúp

0

LỖI KHÔNG THỂ TẠO HỢP ĐỒNG LAO ĐỘNG

Dạ anh/chị cho em hỏi ạ. Trong phần tạo hợp đồng lao động, khi mình chọn vào mục chọn nhân viên như trong ảnh thì hệ thống báo lỗi như này và không tạo được ạ. Nếu bấm lưu nó cũng sẽ hiện trạng thái là đang chạy nhưng khi ra ngoài màn hình hợp đồng lao động thì không thấy ạ. 

Em mong anh/chị có thể hỗ trợ em ạ. 


lỗi code:  RPC_ERROR

Odoo Server Error

Traceback (most recent call last): File "/opt/odoo/16.0/odoo/api.py", line 997, in get cache_value = field_cache[record._ids[0]] KeyError: 4 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/odoo/16.0/odoo/fields.py", line 1161, in __get__ value = env.cache.get(record, self) File "/opt/odoo/16.0/odoo/api.py", line 1004, in get raise CacheMiss(record, field) odoo.exceptions.CacheMiss: 'hr.employee.public(4,).name' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/odoo/16.0/odoo/http.py", line 1633, in _serve_db return service_model.retrying(self._serve_ir_http, self.env) File "/opt/odoo/16.0/odoo/service/model.py", line 133, in retrying result = func() File "/opt/odoo/16.0/odoo/http.py", line 1660, in _serve_ir_http response = self.dispatcher.dispatch(rule.endpoint, args) File "/opt/odoo/16.0/odoo/http.py", line 1864, in dispatch result = self.request.registry['ir.http']._dispatch(endpoint) File "/opt/odoo/16.0/addons/website/models/ir_http.py", line 237, in _dispatch response = super()._dispatch(endpoint) File "/opt/odoo/16.0/odoo/addons/base/models/ir_http.py", line 154, in _dispatch result = endpoint(**request.params) File "/opt/odoo/16.0/odoo/http.py", line 697, in route_wrapper result = endpoint(self, *args, **params_ok) File "/opt/odoo/16.0/addons/web/controllers/dataset.py", line 42, in call_kw return self._call_kw(model, method, args, kwargs) File "/opt/odoo/16.0/addons/web/controllers/dataset.py", line 33, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/opt/odoo/16.0/odoo/api.py", line 464, in call_kw result = _call_kw_model(method, model, args, kwargs) File "/opt/odoo/16.0/odoo/api.py", line 435, in _call_kw_model result = method(recs, *args, **kwargs) File "/opt/odoo/16.0/odoo/models.py", line 1617, in name_search return self.browse(ids).sudo().name_get() File "/opt/odoo/16.0/odoo/models.py", line 1562, in name_get result.append((record.id, convert(record[name], record) or "")) File "/opt/odoo/16.0/odoo/models.py", line 5920, in __getitem__ return self._fields[key].__get__(self, self.env.registry[self._name]) File "/opt/odoo/16.0/odoo/fields.py", line 1187, in __get__ recs._fetch_field(self) File "/opt/odoo/16.0/odoo/models.py", line 3201, in _fetch_field self._read(fnames) File "/opt/odoo/16.0/odoo/models.py", line 3278, in _read cr.execute(query_str, params + [sub_ids]) File "/opt/odoo/16.0/odoo/sql_db.py", line 321, in execute res = self._obj.execute(query, params) psycopg2.errors.UndefinedColumn: column hr_employee_public.rank_id does not exist LINE 1: ...hr_employee_public"."order_meal" AS "order_meal", "hr_employ... ^ HINT: Perhaps you meant to reference the column "hr_employee_public.grade_id" or the column "hr_employee_public.role_id". The above server error caused the following client error: RPC_ERROR: Odoo Server Error at makeErrorFromResponse (https://baoengg.viindoo.cloud/web/assets/3643-054d7a6/web.assets_backend.min.js:994:163) at XMLHttpRequest. (https://baoengg.viindoo.cloud/web/assets/3643-054d7a6/web.assets_backend.min.js:1002:13)


Ảnh đại diện
Huỷ bỏ
1 Trả lời
0
Ảnh đại diện
Phạm Hoàng Giang
Best Answer

Xin chào,

Bạn truy cập menu Ứng dụng, tìm ứng dụng Nhân viên và nâng cấp lại nó xem sao nhé.

1 Bình luận
Ảnh đại diện
Huỷ bỏ

Dạ anh ơi anh chỉ em cách nâng cấp được không ạ

Trả lời của Bạn

Vui lòng đảm bảo câu trả lời của bạn có liên quan và giải đáp đúng nội dung câu hỏi. Nếu muốn bình luận về câu hỏi hoặc câu trả lời, hãy sử dụng công cụ Bình luận. Lưu ý, bạn có thể thay đổi nội dung trả lời thay vì trả lời lại 02 lần cho cùng một câu hỏi. Đồng thời bạn có thể nhấn nút để bầu chọn câu hỏi / câu trả lời tốt nhất.